Bug 1261637 - anaconda cannot create users with lorax < 23.17-1
anaconda cannot create users with lorax < 23.17-1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
23
All All
unspecified Severity high
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F23BetaBlocker
  Show dependency treegraph
 
Reported: 2015-09-09 15:50 EDT by Adam Williamson
Modified: 2015-09-15 14:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-15 14:40:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2015-09-09 15:50:44 EDT
This bug report is kind of a hack. Beta TC4 was created with lorax-23.17-1.fc23 , which isn't in stable. Allegedly it was needed to make the compose work at all, but I can't find a bug report that's clearly for that problem and clearly marked as being fixed by the update - https://bodhi.fedoraproject.org/updates/FEDORA-2015-14454 . We need to have *some* blocker or FE bug to push 23.17-1 stable, th ough.

So instead, let's report this bug that 23.17-1 also fixes. anaconda 23.19.2 changes how user creation is done, which requires some bits to be present in the anaconda environment that were previously stripped by lorax. So with lorax < 23.17-1, user creation in anaconda will not work. Proposing as a Beta blocker: "A working mechanism to create a user account must be clearly presented during installation and/or first boot of the installed system." - https://fedoraproject.org/wiki/Fedora_23_Alpha_Release_Criteria#Expected_installed_system_boot_behavior . OK, we also have initial-setup, but that doesn't always seem to work, lately...still, we could call this an FE instead if we want.
Comment 1 Adam Williamson 2015-09-09 16:42:39 EDT
The update for this is already in testing, this bug exists to get it through the freeze.
Comment 2 Adam Williamson 2015-09-10 15:21:31 EDT
Discussed at 2015-09-10 blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-09-10/f23-blocker-review.2015-09-10-16.00.log.txt . Accepted as a blocker per criterion cited (worth noting that a minimal install has no initial-setup, hence this clearly *is* a blocker for the minimal install case, which would have no working user creation step without this lorax fix).
Comment 3 Adam Williamson 2015-09-10 15:21:51 EDT
Marking VERIFIED, as we know user creation works in TC4.
Comment 4 Adam Williamson 2015-09-15 14:40:44 EDT
Update was pushed stable, closing.

Note You need to log in before you can comment on or make changes to this bug.